//
// OMNeT++ Arrival Process Module Example Package
//
// Author: Jan Kriege (Department of Computer Science, TU Dortmund, jan.kriege@tu-dortmund.de)
//
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License along
// with this program; if not, write to the Free Software Foundation, Inc.,
// 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
//

#ifndef __EXAMPLE1_DISTARRIVAL_H_
#define __EXAMPLE1_DISTARRIVAL_H_

#include "omnetpp.h"

using namespace omnetpp;

// Generate iid arrivals according to a distribution
class DistArrival : public cSimpleModule
{
	public:
		DistArrival();
		virtual ~DistArrival();
	protected:
		virtual void initialize();
		virtual void handleMessage(cMessage *msg);
		virtual void finish();
	private:
		cMessage *sendMessageEvent;
		// number of generated arrivals
		unsigned int number;
};

#endif
